#pragma once
#include "av.hpp"

extern "C" {
typedef struct SwsFilter SwsFilter;
typedef struct SwsContext SwsContext;
}

#include <memory>
#include <stdexcept>
#include <vector>

namespace sws{
	using namespace av;

	using context = wrapper<SwsContext>;
	context create_context(av::frame const & src, av::frame const & dest, int flags = 0, SwsFilter * src_filter = nullptr, SwsFilter * dest_filter = nullptr, double * params = nullptr);

	void scale(context & c, av::frame const & src, av::frame & dest);
}
